---
let { title, anchor, class: nodeClass } = Astro.props;
---

<section class={ `mb-32 ${nodeClass}`}>
    <div class="relative container max-w-6xl mx-auto">
        <a id={ anchor } class="absolute -top-64"></a>
        <h2 class="text-4xl text-center my-16">{title}</h2>
        <slot/>    
    </div>    
</section>  